Subject: Re: iostream
From: [email-masked]
To: Matthias Blaickner <[email-masked]>
Cc: [email-masked]
Date: Thu, 07 Dec 2006 14:15:59 +0100
List-Id: <cygwin.cygwin.com>

Hello,

Matthias Blaickner <[email-masked]> wrote:

> I have problems with cygwin supporting iostream.h I
> use g++ as compiler and I'm told to remove the .h
> suffix from the header. doing so results in error
> messages about unknown functions.
> the test programm is:
>
> #include
> main()
> {
> cout << "He's not the Messiah. He's a very naughty
> boy" << endl;
> }
> [snip]

Upgrade your C++ reference material. The .h header have deprecated in 98. IIRC,
GCC became conformant with the 3.x version.
This is not a cygwin question, but a C++ question.

Anyway, check any C++ FAQ (like the C++lite -> §27.4 and 27.5) and update your
courses/tutorials.
Namespaces are what you have missed. BTW, main() is supposed to return an int.

HTH,

--
Luc Hermitte

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/